package com.wecloud.im.enums;

import io.geekidea.springbootplus.framework.common.enums.BaseEnum;

/**
 * @Author wenzhida
 * @Date 2022/3/2 17:15
 * @Description 设备类型枚举
 */
public enum DeviceTypeEnum implements BaseEnum {

    IOS(1, "IOS端"),
    ANDROID(2, "安卓端"),
    WEB(3, "web端"),
    WIN(4, "PC-windows端"),
    MAC(5, "PC-macOs端");

    private final Integer code;
    private final String desc;

    DeviceTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
